Subject: Re: [MMUSIC] [hackathon] IPv6 Transition and NAT traversal network setup

From: "Charles Eckel (eckelcu)" <[email-masked]>
Date: Wed, 19 Oct 2016 15:24:53 +0000

Hi James,

Thanks for your email and sorry for the delay in responding. I had an issue with filters on my email client that I realized and fixed only today. I think this setup would be extremely valuable at the hackathon, especially in light of all the recent discussions and findings with ICE recently in the mmusic and bfcpbis lists (both cc’d). Of course, the setup is useful only if others come to use it, so hopefully others can forward to interested parties and chime in stating their interest in participating.

Cheers,
Charles

On 10/11/16, 8:27 AM, "hackathon on behalf of James Swan" <[email-masked]<mailto:[email-masked]> on behalf of [email-masked]<mailto:[email-masked]>> wrote:

Hi,

My name is James Swan and work at the University of New Hampshire InterOperability Laboratory (UNH-IOL).  At the SIPit 32 event recently held at our facility we utilized a number of different networks in order to test SIP implementations ability to use STUN/TURN/ICE in order to make connections in various tuff network scenarios.  Some examples are an IPv6 only network, NAT'd networks in the same address range, multilayered NATs, and what we called an 'evil' hotel network that only allows DNS and TCP ports 80 and 443 (as many security constrained networks provide).  There was some discussion at SIPit on this being useful during the IETF hackathon to provide additional tools for testing implementations of other protocols that may be deployed in these various scenarios.  Would this type of setup be of interest to the IETF for the hackathon or other events held during the week?

Best Regards,
James